❖ MatchMove Banking API Specifications

Sections

Theme switcher

Update business user

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

Body Parameters

idstring
namestring

The name of the business.

Max length
50
emailstring

Registration email for the business

mobile_country_codestring

Supported Country codes for the business can be retrieved from GET /users/enumerations/mobile_country_codes

mobilestring

Mobile number of the business

foundation_datestring

The date when the business was founded in standard date format

purpose_of_account_openingstring

The business purpose for opening the account

tax_id_numberstring

Number of the tax identification document

tax_id_issuance_countrystring

Country where the tax document was issued

tax_id_date_issuedstring

Issued date of id type in standard date format

tax_id_date_expirystring

Id type expiry date in standard date format

client_reference_idstring

Client Reference ID to be passed

Max length
50
source_of_fundsstring

Source of Funds to be passed

Max length
100
additional_detailsobject

JSON meta data of additional detail

Response

200
Object

OK

Response Attributes

idstring

Unique identifier for the business user

typestring

User type (business)

client_ref_idstring

Client's reference ID for the business user

provider_ref_idstring

Provider's reference ID

provider_account_numberstring

Account number from provider

preferred_namestring

Business preferred name

emailstring

Business email address

mobile_country_codestring

Mobile country code

mobilestring

Mobile number

company_namestring

Official company name

company_typestring

Company type

industrystring

Industry type

foundation_datestring

Date when company was founded

rolestring

Role of the user in the business

alternative_namesarray

Alternative or trading names

Max items
5
lei_codestring

Legal Entity Identifier code

websitestring

Company website URL

business_idstring

Unique Parent business identifier

identificationobject

Primary and secondary identification documents

addressesobject

Address structure for business users

data_terms_signed_atstring

Timestamp when data terms were signed

source_of_fundsstring

Source of business funds

purpose_of_account_openingstring

Purpose for opening the account

tos_acceptanceobject
metadataobject

Additional metadata

statusstring

Current business user status

Enum values:
pending_verificationverification_completedpending_activationactiverejectedsuspendedterminated
sub_statusstring

Current business user sub-status

kyc_statusstring

KYC verification status

Enum values:
not_submittedpendingin_progresscompleted
kyc_sub_statusstring

KYC verification sub-status

transaction_statusstring

Transaction status

transaction_sub_statusstring

Transaction sub-status

is_email_verifiedstring

Email verification status

is_mobile_verifiedstring

Mobile verification status

is_risk_flaggedstring

Risk flagging status

Enum values:
UNKNOWNPENDINGCLEAREDREJECTED
kyc_processed_datestring

Date when KYC was processed

date_createdstring

Business user creation timestamp

date_updatedstring

Business user last update timestamp

pending_updatearray

List of pending information updates

Max items
50
verification_idobject

Verification identifiers

require_provider_updatearray

Fields requiring provider update

Max items
50
requirementsobject
risk_assesment_statusstring

Risk assessment status

Enum values:
UNKNOWNPENDINGCLEAREDREJECTED
errorsarray

List of errors if any

Max items
20
status_reason_codestring

Reason code for current status

status_messagestring

Status message description

volume_of_assetsstring

Volume of business assets

supporting_documentsarray

List of supporting business identification documents

Max items
10
risk_evaluation_datestring

Risk name screening evaluated date

verification_expirystring

User CDD verification expiry date

400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • invalid_payload — Malformed form/JSON request body
  • validation_error — One or more request fields failed schema/business validation for a business user; the specific field rules are listed in source (e.g. company_name, foundation_date, operational address fields, lei_code, website, company_type, industry, purpose_of_account_opening, supporting_documents, role, etc.)
  • customer_information_duplicate_error — Duplication information error, information already in use (aggregated for email, mobile, identification.primary.id_type, identification.secondary.id_type)
  • already_completed_verification — The business user has already completed verification
  • resource_user_inactive — User is currently inactive
  • update_user_fields_disabled_post_kyc — Updating user details disabled after KYC approval

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates which specific rule was violated. Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates which specific rule was violated. Possible error codes:

  • unauthorized_action — The consumer scope is not allowed to access this resource
  • disallow_updates — Update feature is blocked by the allow_modifications policy
  • disallow_updates_by_field — One or more of the fields being changed are not allowed for the current user/provider status

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates which specific rule was violated. Possible error codes:

  • generic_error — General application error
  • request_fatal_internal — Fatal service error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

PUT

/

Select
1

Response

Was this section helpful?